# gigatrack

Scalable tools for 3D particle tracking at the gigapixel scale

## Description

Gigatrack is a set of tools for Lagrangian particle tracking / Particle Tracking Velocimetry, developed at the University of Southampton by Dr. John Lawson since 2018.

There are three main code-bases:
 * calibration - geometric calibration routines for single- or multiple-camera configurations
 * rgb - routines for particle tracking in single-exposure colour images using pulsed LED illumination
 * shadow - routines optimised for particle tracking in time-resolved series of shadowgraph particle images

The code base has the capability to perform conventional particle tracking as well as a Shake-the-Box implementation for colour PTV.
There is capability to simulate synthetic particle images. 

## Prerequisites

You will need MATLAB version 2022b or higher, with the following toolboxes installed
 * Computer Vision Toolbox
 * Image Processing Toolbox
 * Optimization Toolbox
 * Statistics and Machine Learning Toolbox
 * Parallel Computing Toolbox
 * MATLAB Parallel Server

## Installation

TODO: add instructions for installation

## Usage

TODO: add some examples of usage

## Authors and acknowledgment

Contributors:
 * Dr. John Lawson (jml1g18@soton.ac.uk)

## License

Currently closed source. 
Copyright John Lawson, University of Southampton.

## Project status

Active as of October 2023
