function msg = qrcode_format_string(origin, dimension, spacing, units)
    % msg = qrcode_format_string(origin, dimension, spacing, units
    %
    % the QRcode format is
    % version, u0, v0, n_u, n_v, du, dv, units
    % where
    %   version character string identifying version of QR code
    %   u0      u coordinate of corner to the bottom left of the code
    %   v0      v coordinate of the corner to the bottom left of the code
    %   n_u     number of chessboard tiles in the u direction
    %   n_v     number of chessboard tiles in the v direction
    %   du      spacing in u direction
    %   dv      spacing in v direction
    %   units   string identifying units of measurement

    msg = sprintf('V1.0,%0.1f,%0.1f,%0.0f,%0.0f,%0.1f,%0.1f,%s', ...
        origin, dimension, spacing, units);
end
    