Nx				= 16;
Ny				= 16;
Nz				= 16;

x				= linspace(-1, 1, Nx);
y				= linspace(-1, 1, Ny);
z				= linspace(-1, 1, Nz);
[xmat,ymat,zmat] = ndgrid(x,y,z);
phi			= (xmat.^2 + ymat.^2 + zmat.^2)/2;
missing		= rand(Nx, Ny, Nz) > 0.98;

C_grad		= gradient_matrix_3d(x,y,z,missing);
grad_phi		= C_grad * phi(:);
grad_phi		= reshape(grad_phi, 3, Nx, Ny, Nz);

figure(1);
subplot(1,2,1);
imagesc(squeeze(grad_phi(2,:,:,Nz/2))');
axis equal tight;

subplot(1,2,2);
imagesc(squeeze(ymat(:,:,Nz/2))');
axis equal tight;