function F = buildScatteredInterpolant3(x, u, varargin)
	% F = buildScatteredInterpolant3(x, u, varargin)
	%
	% Input:
	%	x	3 x N	position of scattered data
	%	u	3 x N	velocity of scattered data
	%	varargin additional arguments to scatteredInterpolant
	%
	% Output:
	%	F	3 x 1	cell array of scatteredInterpolant objects

	x = double(x);
	u = double(u);
	
	F1 = scatteredInterpolant(x.', u(1,:).', varargin{:});
	F2 = F1;
	F3 = F1;
	F2.Values = u(2,:).';
	F3.Values = u(3,:).';
	
	F = {F1; F2; F3};
end