function u = scatteredInterpolant3(F, x)
	% F = scatteredInterpolant3(F, x)
	%
	% Input:
	%	F	3 x 1	cell array of scatteredInterpolant objects
	%	x	3 x N	position of scattered data
	%
	% Output:
	%	u	3 x N	velocity of scattered data
	
	dtype   = class(x);
	x		= double(x);

	assert(size(x,1) == 3);
	N		= size(x,2);
	u		= zeros(N, 3);
	for c = 1 : 3
		u(:,c)	= F{c}(x.');
	end
	u		= cast(u.', dtype);
end