function track = assign_particle_to_track(track, particle, t0)
	% track = assign_particle_to_track(track, particle, t0)
	% for the track structure track, allocate particle properties
	% at time index t0

    % object and image space coordinates
    track.re_pos(:,:,t0) = particle.re_pos;
    track.im_pos(:,:,t0) = particle.im_pos;
    % residual in image space
    track.im_res(:,:,t0) = particle.im_res;
    % image space features 
    track.im_radius(:,:,t0) = particle.im_radius;
    track.im_length(:,:,t0) = particle.im_length;
    track.im_intens(:,:,t0) = particle.im_intens;
    % object space features
    track.re_radius(:,:,t0) = particle.re_radius;
    track.re_length(:,:,t0) = particle.re_length;
    % remove extrapolation flag
    track.ext(t0) = false;
end
